package com.huazheng.project.hana.mapper;

import java.util.List;
import java.util.Map;

import com.huazheng.project.hana.model.Afko;
import com.huazheng.project.hana.model.Afpo;
import com.huazheng.project.hana.model.Afru;
import com.huazheng.project.hana.model.Afvc;
import com.huazheng.project.hana.model.Aufk;
import com.huazheng.project.hana.model.Aufm;
import com.huazheng.project.hana.model.Ausp;
import com.huazheng.project.hana.model.Bkpf;
import com.huazheng.project.hana.model.Bsad;
import com.huazheng.project.hana.model.Bsid;
import com.huazheng.project.hana.model.Kna1;
import com.huazheng.project.hana.model.Knkk;
import com.huazheng.project.hana.model.Knvp;
import com.huazheng.project.hana.model.Knvv;
import com.huazheng.project.hana.model.Konv;
import com.huazheng.project.hana.model.Likp;
import com.huazheng.project.hana.model.Lips;
import com.huazheng.project.hana.model.Makt;
import com.huazheng.project.hana.model.Mara;
import com.huazheng.project.hana.model.Mkpf;
import com.huazheng.project.hana.model.Mseg;
import com.huazheng.project.hana.model.Mska;
import com.huazheng.project.hana.model.Pa0002;
import com.huazheng.project.hana.model.S066;
import com.huazheng.project.hana.model.S067;
import com.huazheng.project.hana.model.T001w;
import com.huazheng.project.hana.model.T023t;
import com.huazheng.project.hana.model.Tspat;
import com.huazheng.project.hana.model.Tvkbt;
import com.huazheng.project.hana.model.Vbak;
import com.huazheng.project.hana.model.Vbap;
import com.huazheng.project.hana.model.Vbep;
import com.huazheng.project.hana.model.Vbpa;
import com.huazheng.project.hana.model.Vbrk;
import com.huazheng.project.hana.model.Vbrp;
import com.huazheng.project.hana.model.Vbuk;
import com.huazheng.project.hana.model.Zmdpc;
import com.huazheng.project.hana.model.Zpoedit;
import com.huazheng.project.hana.model.Zsd06;
import com.huazheng.project.hana.model.Zsdfhzl;

public interface SapMapper {

	public List<Vbap> selectVbapNew(Vbap vbap);
	public List<Bsid> selectBsidNew(Bsid bsid);
	public List<Bsad> selectBsadNew(Bsad bsad);
	public List<Pa0002> selectPa0002New(Pa0002 pa0002);
	public List<Vbpa> selectVbpaNew(Vbpa vbpa);
	public List<Tvkbt> selectTvkbtNew(Tvkbt tvkbt);
	public List<Aufm> selectAufmNew(Aufm aufm);
	public List<Vbrk> selectVbrkNew(Vbrk vbrk);
	public List<Vbrp> selectVbrpNew(Vbrp vbrp);
	public List<S066> selectS066New(S066 s066);
	public List<S067> selectS067New(S067 s067);
	public List<Vbuk> selectVbukNew(Vbuk vbuk);
	public List<Likp> selectLikpNew(Likp likp);
	public List<Konv> selectKonvNew(Konv konv);
	public List<Lips> selectLipsNew(Lips lips);
	public List<Afko> selectAfkoNew(Afko afko);
	public List<Afpo> selectAfpoNew(Afpo afpo);
	public List<Afvc> selectAfvcNew(Afvc afvc);
	public List<Vbep> selectVbepNew(Vbep vbep);
	public List<T023t> selectT023tNew(T023t t023t);
	public List<Kna1> selectKna1New(Kna1 kna1);
	public List<Knvv> selectKnvvNew(Knvv knvv);
	public List<Knkk> selectKnkkNew(Knkk knkk);
	public List<Mara> selectMaraNew(Mara mara);
	public List<Makt> selectMaktNew(Makt makt);
	public List<Zsd06> selectZsd06New(Zsd06 zsd06);
	public List<Zmdpc> selectZmdpcNew(Zmdpc zmdpc);
	public List<Vbak> selectVbakNew(Vbak vbak);
	public List<Aufk> selectAufkNew(Aufk aufk);
	public List<T001w> selectT001wNew(T001w t001w);
	public List<Mska> selectMskaNew(Mska mska);
	public List<Zsdfhzl> selectZsdfhzlNew(Zsdfhzl zsdfhzl);
	public List<Mkpf> selectMkpfNew(Mkpf mkpf);
	public List<Mseg> selectMsegNew(Mseg mseg);
	public List<Afru> selectAfruNew(Afru afru);
	public List<Tspat> selectTspatNew(Tspat tspat);
	public List<Zpoedit> selectZpoeditNew(Zpoedit zpoedit);
	public List<Ausp> selectAuspNew(Ausp ausp);
	public List<Knvp> selectKnvpNew(Knvp knvp);
	public List<Bkpf> selectBkpfNew(Bkpf bkpf);
	
	// .........
	public List<Knkk> selectKnkkCheckByUpdate(Knkk knkk);
	
	// 按天更新
	public List<Aufk> selectAufkCheckByUpdate(Aufk aufk);
	public List<Bkpf> selectBkpfCheckByUpdate(Bkpf bkpf);
	public List<Kna1> selectKna1CheckUpdate(Kna1 kna1);
	public List<Likp> selectLikpCheckByUpdate(Likp likp);
	public List<Lips> selectLipsCheckByUpdate(Lips lips);
	public List<Pa0002> selectPa0002CheckByUpdate(Pa0002 pa0002);
	public List<Vbak> selectVbakCheckByUpdate(Vbak vbak);
	public List<Vbrk> selectVbrkCheckByUpdate(Vbrk vbrk);
	public List<Zsd06> selectZsd06CheckByUpdate(Zsd06 zsd06);
	public List<Zsdfhzl> selectZsdfhzlCheckByUpdate(Zsdfhzl zsdfhzl);
	public List<Mara> selectMaraCheckByUpdate(Mara mara);
	public List<Vbap> selectVbapCheckByUpdate(Vbap vbap);
	// 按天更新的级联
	public Afko cascadeAfkoByAufk(Aufk aufk);
	public Afpo cascadeAfpoByAufk(Aufk aufk);
	public List<Knvv> cascadeKnvvByKna1(Kna1 kna1);
	public List<Vbrp> cascadeVbrpByVbrk(Vbrk source);
	public List<Ausp> cascadeAuspByMara(Mara mara);
	public List<Konv> cascadeKonvByVbak(Vbak vbak);
	public List<Makt> cascadeMaktByMara(Mara mara);
	public List<Vbuk> cascadeVbukByLips(Lips lips);
	public List<Zpoedit> cascadeZpoeditByAufk(Aufk aufk);
	public List<Bsad> cascadeBsadByBkpf(Bkpf bkpf);
	public List<Bsid> cascadeBsidByBkpf(Bkpf bkpf);
	public List<Vbep> cascadeVbepByVbap(Vbap vbap);
	public List<Vbpa> cascadeVbpaByVbap(Vbap vbap);
	public List<Zmdpc> cascadeZmdpcByVbap(Vbap vbap);
	
	// ......
	public Bkpf selectBkpfById(Bkpf target);
	public Knvp selectKnvpById(Knvp target);
	public Ausp selectAuspById(Ausp target);
	public Zpoedit selectZpoeditById(Zpoedit target);
	public Tspat selectTspatById(Tspat target);
	public Afko selectAfkoById(Afko target);
	public Afpo selectAfpoById(Afpo target);
	public Afvc selectAfvcById(Afvc target);
	public Aufk selectAufkById(Aufk target);
	public Kna1 selectKna1ById(Kna1 target);
	public Knkk selectKnkkById(Knkk target);
	public Knvv selectKnvvById(Knvv target);
	public Konv selectKonvById(Konv target);
	public Likp selectLikpById(Likp target);
	public Lips selectLipsById(Lips target);
	public Makt selectMaktById(Makt target);
	public Mara selectMaraById(Mara target);
	public Mska selectMskaById(Mska target);
	public Pa0002 selectPa0002ById(Pa0002 target);
	public S066 selectS066ById(S066 target);
	public S067 selectS067ById(S067 target);
	public T001w selectT001wById(T001w target);
	public T023t selectT023tById(T023t target);
	public Vbak selectVbakById(Vbak target);
	public Vbep selectVbepById(Vbep target);
	public Vbpa selectVbpaById(Vbpa target);
	public Vbrk selectVbrkById(Vbrk target);
	public Vbrp selectVbrpById(Vbrp target);
	public Vbuk selectVbukById(Vbuk target);
	public Zmdpc selectZmdpcById(Zmdpc target);
	public Zsd06 selectZsd06ById(Zsd06 target);
	public Zsdfhzl selectZsdfhzlById(Zsdfhzl target);
	public Bsad selectBsadById(Bsad target);
	public Bsid selectBsidById(Bsid target);
	public Vbap selectVbapById(Vbap target);
	public Tvkbt selectTvkbtById(Tvkbt target);

	
	public Mseg selectMsegById(Mseg target);
	public Mkpf selectMkpfById(Mkpf target);
	public Afru selectAfruById(Afru target);
	public Aufm selectAufmById(Aufm target);
	
	// vbak修改join连接后的子查询
	public Map<String, Object> selectVbak4Join(Vbak target);
	
}
